FAQ
I'd like to upgrade to 2.3.3, mostly to use VPython. I have a lot of
stuff not in the standard distro,
VPython, PIL, wxPython, eGenix tools, etc. How much of this stuff can I
still use as is, i.e. just copying over the 2.2 site-lib stuff to the
2.3 site-lib stuff? What will I have to rebuild? TIA

Ed
--
You'd better beat it. You can leave in a taxi. If you can't get a
taxi, you can leave in a huff. If that's too soon, you can leave in a
minute and a huff.
-- Groucho Marx

Search Discussions

  • Mike C. Fletcher at Mar 5, 2004 at 10:26 pm
    Anything with C code (and everything you described there has C code)
    needs to be rebuilt (and/or redownloaded). (Most projects have 2.3
    binaries available for download already). Generally speaking, major
    versions of Python (x.x releases) are binary-extension incompatible with
    previous versions (x.w).

    HTH,
    Mike

    Eduardo Bernal wrote:
    I'd like to upgrade to 2.3.3, mostly to use VPython. I have a lot of
    stuff not in the standard distro,
    VPython, PIL, wxPython, eGenix tools, etc. How much of this stuff can I
    still use as is, i.e. just copying over the 2.2 site-lib stuff to the
    2.3 site-lib stuff? What will I have to rebuild? TIA

    Ed
    _______________________________________
    Mike C. Fletcher
    Designer, VR Plumber, Coder
    http://members.rogers.com/mcfletch/
  • Bob Ippolito at Mar 5, 2004 at 10:40 pm

    On 2004-03-05 15:47:14 -0500, Eduardo Bernal <breetai at sdf.lonestar.org> said:

    I'd like to upgrade to 2.3.3, mostly to use VPython. I have a lot of
    stuff not in the standard distro,
    VPython, PIL, wxPython, eGenix tools, etc. How much of this stuff can I
    still use as is, i.e. just copying over the 2.2 site-lib stuff to the
    2.3 site-lib stuff? What will I have to rebuild? TIA
    Rebuild it all.
  • Ray Schumacher at Mar 6, 2004 at 1:15 am

    At 01:47 PM 3/5/2004 -0700, you wrote:
    I'd like to upgrade to 2.3.3, mostly to use VPython. I have a lot of
    stuff not in the standard distro,
    VPython, PIL, wxPython, eGenix tools, etc. How much of this stuff can I
    still use as is, i.e. just copying over the 2.2 site-lib stuff to the
    2.3 site-lib stuff? What will I have to rebuild? TIA
    I just re-installed new for PIL and wx, Numeric etc. but some of my stuff
    for video capture has no version for 2.3x and no source, so I had to stick
    with 2.2 on my astronomy computer.
    Hopefully you won't find the same...

    Ray

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppython-list @
categoriespython
postedMar 5, '04 at 8:47p
activeMar 6, '04 at 1:15a
posts4
users4
websitepython.org

People

Translate

site design / logo © 2022 Grokbase